Skip to main content

Get Native Balance by Account

POST

Retrieves the native token balance held by a specific account. The token type may vary depending on the selected chain.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
accountAddressstringrequired
Parameter specifying the account address to query. This field uses a 34-character base58 string format starting with "T".
Responses
ownerAddressstringrequired
TRON address of the account owner. The address is a 34-character Base58 string format starting with "T".
balancestringrequired
Represents the current balance of the account. The value is a decimal string in SUN, the smallest unit of TRX (1 TRX = 1,000,000 SUN).
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "MISSING_REQUIRED_PARAMETER",
"message": "Missing required parameter: { PARAMETER_NAME }"
}
cURL
curl -X POST 'https://web3.nodit.io/v1/tron/mainnet/native/getNativeBalanceByAccount' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"accountAddress": "T9123456789012345678901234567890123456789"
}'